GeoArray.Double (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class GeoArray.Double

    java.lang.Object
      com.bbn.openmap.geo.GeoArray.Adapter
          com.bbn.openmap.geo.GeoArray.Double

All Implemented Interfaces:
  GeoArray, GeoArray.Mutable

Enclosing interface:
  GeoArray

    public static class GeoArray.Double

extends GeoArray.Adapter
implements GeoArray.Mutable

An implementation of GeoArray and GeoArray.Mutable that contains double-precision values. Holds the coordinates in a double array of x, y, z, x, y, z values.

Author:
  dietrick

Nested Class Summary

Nested classes/interfaces inherited from interface com.bbn.openmap.geo.GeoArray
`GeoArray.Adapter, GeoArray.Double, GeoArray.Float, GeoArray.Mutable`

Constructor Summary
`protected` | `GeoArray.Double(double[] coords)`
`` | `GeoArray.Double(Geo[] geos)`
`` | `GeoArray.Double(GeoArray ga)`

Method Summary
`void` | `closeArray()` Ensure that the Geo array starts and ends with the same values.
`static GeoArray.Double` | `createFromGeoCoords(double[] xyz)`
`static GeoArray.Double` | `createFromLatLonDegrees(double[] latlondeg)`
`static GeoArray.Double` | `createFromLatLonRadians(double[] latlonrad)`
`boolean` | `equals(int index, Geo comp)`
`Geo` | `get(int i)` Get a Geo represented by the index i.
`Geo` | `get(int i, Geo ret)` Load the values for Geo at index i into ret.
`int` | `getSize()` Get the number of Geo points represented by this array.
`void` | `removeDups()` Modify, if needed, the Geo array with the duplicates removed.
`void` | `set(int i, double lat, double lon, boolean isDegrees)` Set the values for the provided index to the latitude, longitude.
`void` | `set(int i, double x, double y, double z)` Set the values for the provided index to the values x, y, z, which are vector Geo values, *not* lat, lon and height.
`void` | `set(int i, Geo g)` Set the values for the provided index to the values represented by g.

Methods inherited from class com.bbn.openmap.geo.GeoArray.Adapter
`area, distance, toLLDegrees, toLLRadians, toPointArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.geo.GeoArray
`area, distance, toLLDegrees, toLLRadians, toPointArray`

Constructor Detail

### GeoArray.Double

    public GeoArray.Double(Geo[] geos)

### GeoArray.Double

    public GeoArray.Double(GeoArray ga)

### GeoArray.Double

    protected GeoArray.Double(double[] coords)

Method Detail

### createFromLatLonDegrees

    public static GeoArray.Double createFromLatLonDegrees(double[] latlondeg)

### createFromLatLonRadians

    public static GeoArray.Double createFromLatLonRadians(double[] latlonrad)

### createFromGeoCoords

    public static GeoArray.Double createFromGeoCoords(double[] xyz)

### getSize

    public int getSize()

  Description copied from interface: `GeoArray`
  Get the number of Geo points represented by this array.

  Specified by:
    `getSize` in interface `GeoArray`
  Returns:
    number of geo points

### set

    public void set(int i,
                    double x,
                    double y,
                    double z)

  Description copied from interface: `GeoArray.Mutable`
  Set the values for the provided index to the values x, y, z, which are vector Geo values, *not* lat, lon and height.

  Specified by:
    `set` in interface `GeoArray.Mutable`

### set

    public void set(int i,
                    Geo g)

  Description copied from interface: `GeoArray.Mutable`
  Set the values for the provided index to the values represented by g.

  Specified by:
    `set` in interface `GeoArray.Mutable`

### set

    public void set(int i,
                    double lat,
                    double lon,
                    boolean isDegrees)

  Description copied from interface: `GeoArray.Mutable`
  Set the values for the provided index to the latitude, longitude.

  Specified by:
    `set` in interface `GeoArray.Mutable`
    `isDegrees` - true if lat/lon in decimal degrees.

### get

    public Geo get(int i)

  Description copied from interface: `GeoArray`
  Get a Geo represented by the index i.

  Specified by:
    `get` in interface `GeoArray`
  Returns:
    Geo at index i

### get

    public Geo get(int i,
                   Geo ret)

  Description copied from interface: `GeoArray`
  Load the values for Geo at index i into ret.

  Specified by:
    `get` in interface `GeoArray`
  Returns:
    ret filled in with values at index i

### equals

    public boolean equals(int index,
                          Geo comp)

  Specified by:
    `equals` in interface `GeoArray`
  Parameters:
    `index` - the index of the Geo in the GeoArray to compare.
    `comp` - the Geo to compare to the indexed value.
  Returns:
    true of x, y, and z of the Geos match.

### closeArray

    public void closeArray()

  Ensure that the Geo array starts and ends with the same values. Will replace the current coord array with one three double longer if needed.

  Specified by:
    `closeArray` in interface `GeoArray`

### removeDups

    public void removeDups()

  Modify, if needed, the Geo array with the duplicates removed.

  Specified by:
    `removeDups` in interface `GeoArray`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details